package com.ncyteng.controller;

import com.ncyteng.entity.News;
import com.ncyteng.service.NewsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.List;

@Controller
@RequestMapping("/news")
public class NewsController {

    @Autowired
    private NewsService newsService;

   @RequestMapping("/list")
   public String list(Model model){
       System.out.println("表现层查询所有数据");
       List<News> list = newsService.findAll();
       model.addAttribute("list",list);
       return "list";
   }

   @RequestMapping("/save")
   public void save(News news, HttpServletRequest request, HttpServletResponse response)
   {
       newsService.save(news);
       try {
           response.sendRedirect(request.getContextPath()+"/news/list");
       } catch (IOException e) {
           e.printStackTrace();
       }
       System.out.println("保存数据");
       return ;
   }

    @RequestMapping(value = "/detail/{id}")
   public String detail(Model model,@PathVariable Integer id)
   {
       System.out.println("查询详情数据"+id);
       News news = newsService.findById(id);
       model.addAttribute("news",news);
       System.out.println(news);
       return "detail";
   }
}
