package com.ncyteng.service.impl;

import com.ncyteng.dao.NewsDao;
import com.ncyteng.entity.News;
import com.ncyteng.service.NewsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service("newsService")
public class NewsServiceImpl implements NewsService {

    @Autowired
    private NewsDao newsDao;

    @Override
    public List<News> findAll() {
        System.out.println("业务层：查询所有新闻");
        return newsDao.findAll();
    }

    @Override
    public void save(News news) {
        newsDao.save(news);
        System.out.println("业务层：保存新闻");
    }

    @Override
    public News findById(Integer id) {
        return newsDao.findById(id);
    }
}
